"""Discord bot Hitomi and its library functions."""
from discord.ext import commands
from django.conf import settings

BOT_DESCRIPTION = "A simple Discord bot."


class Hitomi(commands.Bot):
    """Extend the discord.py Bot, to add more cool stuff."""

    def __init__(self, *args, **kwargs):
        """Initialize bot, and cool stuff."""
        super(Hitomi, self).__init__(*args, **kwargs)
        self.on_message_handlers = []


hitomi = Hitomi(command_prefix='!', description=BOT_DESCRIPTION, max_messages=settings.DISCORD_BOT_MAX_MESSAGES)
